#include "ofApp.h"
//--------------------------------------------------------------
void ofApp::setup(){
    //LOAD
    sound1.load("334021__gregoryc__holding-a-glass-bottle.wav");
    sound2.load("334027__matteshaus__baby-alligator-calling-for-mom.mp3");
    //VARIABLES
    volume1=volume2=speed1=speed2=0;
    sound1.setLoop(true);
    sound2.setMultiPlay(true);
}

//--------------------------------------------------------------
void ofApp::update(){}
//--------------------------------------------------------------
void ofApp::draw(){
    ofDrawLine(ofGetWidth()/2, 0, ofGetWidth()/2, ofGetHeight());
    ofDrawBitmapString("Sound1: Volume is "+ofToString(volume1), 20, 20);
    ofDrawBitmapString("Sound2: Volume is "+ofToString(volume2), ofGetWidth()/2+20, 20);
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){}
//--------------------------------------------------------------
void ofApp::keyReleased(int key){}
//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){}
//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){}
//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){
    if(x<ofGetWidth()/2){
        volume1=ofMap(y, ofGetHeight(), 0, 0, 1);
        sound1.setVolume(volume1);
        speed1=ofMap(x, 0, ofGetWidth()/2, 0, 2);
        sound1.setSpeed(speed1);
        sound1.play();
    }else{
        volume2=ofMap(y, ofGetHeight(), 0, 0, 1);
        sound2.setVolume(volume2);
        speed2=ofMap(x, ofGetWidth()/2, ofGetWidth(), 0, 2);
        sound2.setSpeed(speed2);
        sound2.play();
    }
}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
